import { defineComponent, ref, onMounted, computed, watch } from 'vue'

import { CImgText } from '../../../components/CImgText/index'
import { CCard } from '@src/components/CCard'
import { CMyPage } from '@src/components/CMyPage'
import { CTitleBanner } from '@src/components/CTitleBanner'
import { CGridTableRec } from '@src/components/CGridTableRec'

import { colcrons } from '@src/store/Modules/fieldsTable'
import MixinMetaTags from '@src/mixins/mixin-metatags'
import { tools } from '@tools'
import { shared_consts } from '@src/common/shared_vuejs'
import { IMyPage } from 'model'
import { useGlobalStore } from '@store/globalStore'

import objectId from '@src/js/objectId'

export default defineComponent({
  name: 'ListaCron',
  setup() {

    const { setmeta } = MixinMetaTags()

    const globalStore = useGlobalStore()

    const lista_cron = ref([] as any[])

    function mounted() {

      // lista_cron.value = globalStore.lista_cron
    }

    onMounted(mounted)

    return {
      colcrons,
      setmeta,
      lista_cron,
    }
  },
  components: { CImgText, CCard, CMyPage, CTitleBanner, CGridTableRec }
})
